Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.support.model.dlna.message
Class DLNAHeaders

    java.lang.Object
      org.seamless.http.Headers
          org.fourthline.cling.model.message.UpnpHeaders
              org.fourthline.cling.support.model.dlna.message.DLNAHeaders

All Implemented Interfaces:
  Map<String,List<String>>

    public class DLNAHeaders

extends UpnpHeaders

Provides UPnP header API in addition to plain multi-map HTTP header access.

Author:
  Mario Franco, Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Field Summary
`protected Map<DLNAHeader.Type,List<UpnpHeader>>` | `parsedDLNAHeaders`

Fields inherited from class org.fourthline.cling.model.message.UpnpHeaders
`parsedHeaders`

Constructor Summary
`DLNAHeaders()`
`DLNAHeaders(ByteArrayInputStream inputStream)`
`DLNAHeaders(Map<String,List<String>> headers)`

Method Summary
`void` | `add(DLNAHeader.Type type, UpnpHeader value)`
`void` | `add(String key, String value)`
`protected void` | `addParsedValue(DLNAHeader.Type type, UpnpHeader value)`
`void` | `clear()`
`boolean` | `containsKey(DLNAHeader.Type type)`
`List<UpnpHeader>` | `get(DLNAHeader.Type type)`
`UpnpHeader[]` | `getAsArray(DLNAHeader.Type type)`
`UpnpHeader` | `getFirstHeader(DLNAHeader.Type type)`
`
`<H extends UpnpHeader> H`
` | `getFirstHeader(DLNAHeader.Type type, Class<H> subtype)`
`void` | `log()`
`protected void` | `parseHeaders()`
`List<String>` | `put(String key, List<String> values)`
`void` | `remove(DLNAHeader.Type type)`
`List<String>` | `remove(Object key)`

Methods inherited from class org.fourthline.cling.model.message.UpnpHeaders
`add, addParsedValue, containsKey, get, getAsArray, getFirstHeader, getFirstHeader, getFirstHeaderString, remove`

Methods inherited from class org.seamless.http.Headers
`containsKey, containsValue, entrySet, equals, findEndOfString, findNonWhitespace, get, getFirstHeader, hashCode, isEmpty, keySet, putAll, readLine, set, size, splitHeader, toString, values`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### parsedDLNAHeaders

    protected Map<DLNAHeader.Type,List<UpnpHeader>> parsedDLNAHeaders

Constructor Detail

### DLNAHeaders

    public DLNAHeaders()

### DLNAHeaders

    public DLNAHeaders(Map<String,List<String>> headers)

### DLNAHeaders

    public DLNAHeaders(ByteArrayInputStream inputStream)

Method Detail

### parseHeaders

    protected void parseHeaders()

  Overrides:
    `parseHeaders` in class `UpnpHeaders`

### addParsedValue

    protected void addParsedValue(DLNAHeader.Type type,
                                  UpnpHeader value)

### put

    public List<String> put(String key,
                            List<String> values)

  Specified by:
    `put` in interface `Map<String,List<String>>`
  Overrides:
    `put` in class `UpnpHeaders`

### add

    public void add(String key,
                    String value)

  Overrides:
    `add` in class `UpnpHeaders`

### remove

    public List<String> remove(Object key)

  Specified by:
    `remove` in interface `Map<String,List<String>>`
  Overrides:
    `remove` in class `UpnpHeaders`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Map<String,List<String>>`
  Overrides:
    `clear` in class `UpnpHeaders`

### containsKey

    public boolean containsKey(DLNAHeader.Type type)

### get

    public List<UpnpHeader> get(DLNAHeader.Type type)

### add

    public void add(DLNAHeader.Type type,
                    UpnpHeader value)

### remove

    public void remove(DLNAHeader.Type type)

### getAsArray

    public UpnpHeader[] getAsArray(DLNAHeader.Type type)

### getFirstHeader

    public UpnpHeader getFirstHeader(DLNAHeader.Type type)

### getFirstHeader

    public <H extends UpnpHeader> H getFirstHeader(DLNAHeader.Type type,
                                                   Class<H> subtype)

### log

    public void log()

  Overrides:
    `log` in class `UpnpHeaders`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.